Subject: Re: bug#22900: [platform-testers] new snapshot available: gzip-1.6.42-d6d4

From: Paul Eggert <[email-masked]>
Date: Sun, 6 Mar 2016 11:19:15 -0800

Attached is a minor cleanup against the previous patch. I've installed this new 
one too.
>From 3d44b34489a7d63aad718af0f18ba226768b7f78 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Sun, 6 Mar 2016 11:16:34 -0800
Subject: [PATCH] gzip: minor zgrep cleanup

* zgrep.in: Simplify previous change.
---
 zgrep.in | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/zgrep.in b/zgrep.in
index bbea331..c24be57 100644
--- a/zgrep.in
+++ b/zgrep.in
@@ -203,13 +203,12 @@ do
       sed_script="s|^|$i:|"
 
       # Fail if grep or sed fails.
-      if r=$(
-           exec 4>&1
-           (eval "$grep" 4>&-; echo $? >&4) 3>&- | sed "$sed_script" >&3 4>&-
-         ) || { r=$?; test $r -lt 2 && r=2; :; }; then
-        test 256 -le $r && r=$(expr 128 + $r % 128)
-        exit $r
-      fi
+      r=$(
+        exec 4>&1
+        (eval "$grep" 4>&-; echo $? >&4) 3>&- | sed "$sed_script" >&3 4>&-
+      ) || { r=$?; test $r -lt 2 && r=2; }
+      test 256 -le $r && r=$(expr 128 + $r % 128)
+      exit $r
     fi >&3 5>&-
   )
   r=$?
-- 
2.5.0